import service from '@/http/request';

const MqttTopicApi = {
    query: '/mqtt/query',
    list: '/thaw/list',
    selectIot: '/warn/selectIot',
    meterialParam: '/behavior/meterialParamByDp',
    carThawTimeInfo: '/behavior/carThawTimeInfo'
};

export function querylist(parameter: any) {
    return service({
        url: MqttTopicApi.query,
        method: 'get',
        params: parameter
    });
}

export function carThawTimeInfolist() {
    return service({
        url: MqttTopicApi.carThawTimeInfo,
        method: 'get'
    });
}

export function listData() {
    return service({
        url: MqttTopicApi.list,
        method: 'get'
    });
}

export function selectIotlist(id: number) {
    return service({
        url: MqttTopicApi.selectIot,
        method: 'get',
        params: { id }
    });
}

export function meterialParamlist(meterialId: number) {
    return service({
        url: MqttTopicApi.meterialParam,
        method: 'get',
        params: { meterialId }
    });
}
